#!/bin/bash
# FC Portugal 3D 2020 binary

lib="$(dirname "$(realpath "$0")")/lib"
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:${lib}

host="localhost"
if [ $# -gt 0 ]; then
	host="${1}"  
fi

echo "Launch 1"
bin/fcpagent -u 1 -r 0 -h ${host} $2 >/dev/null 2>&1 &
sleep 1 
echo "Launch 2"
bin/fcpagent -u 2 -r 0 -h ${host} $2 >/dev/null 2>&1 &
sleep 1
echo "Launch 3"
bin/fcpagent -u 3 -r 2 -h ${host} $2 >/dev/null 2>&1 &
sleep 1
echo "Launch 4"
bin/fcpagent -u 4 -r 2 -h ${host} $2 >/dev/null 2>&1 &
sleep 1
echo "Launch 5"
bin/fcpagent -u 5 -r 4 -h ${host} $2 >/dev/null 2>&1 &
sleep 1
echo "Launch 6"
bin/fcpagent -u 6 -r 4 -h ${host} $2 >/dev/null 2>&1 &
sleep 1
echo "Launch 7"
bin/fcpagent -u 7 -r 4 -h ${host} $2 >/dev/null 2>&1 &
sleep 1
echo "Launch 8"
bin/fcpagent -u 8 -r 4 -h ${host} $2 >/dev/null 2>&1 &
sleep 1
echo "Launch 9"
bin/fcpagent -u 9 -r 4 -h ${host} $2 >/dev/null 2>&1 &
sleep 1
echo "Launch 10"
bin/fcpagent -u 10 -r 4 -h ${host} $2 >/dev/null 2>&1 &
sleep 1
echo "Launch 11"
bin/fcpagent -u 11 -r 4  -h ${host} $2 >/dev/null 2>&1 &
